# Multifeeder

Multifeeding RSS streams.

This is the Multifeeder, a feed aggregator supporting any kinds of publishing experiments.

## Live

Multifeeder runs here: <https://multi.vvvvvvaria.org/>

Commits to this git repository will automagically update the live version!

(Multifeeder runs as a `supervisor` service, see `/etc/supervisor/conf.d/multifeeder.conf`.)

The feeds are updated every 10 minutes.

## Access points

**/feeds/latest/[num]**

For example: https://multi.vvvvvvaria.org/feeds/latest/5

(for the latest 5 posts in all feeds)

Format: `JSON` (default) & `Markdown`

**/feeds/today/**

For example: https://multi.vvvvvvaria.org/feeds/today/

(for the posts published today)

Format: `JSON` (default) & `Markdown`

**/feeds/past/[days]**

For example: https://multi.vvvvvvaria.org/feeds/past/30

(for all the posts published in the last 30 days)

Format: `JSON` (default) & `Markdown`

## Add a feed

Feeds can be added here in the git, by editing the file `feeds.txt`.

Leave a feed link on a new line, commit your change, and the feed will be included in the Multifeeder.

Removing a feed can be done by taking a feed link out of this list.

## Using the multifeeder locally

To install: make a virtual environment + install the dependencies.

`make setup`

To use: run the Flask application.

`make`

Open `localhost:5678` in a browser and there we go!
